RemoteEditLog (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.protocol, class: RemoteEditLog

Package org.apache.hadoop.hdfs.server.protocol

# Class RemoteEditLog

java.lang.Object
org.apache.hadoop.hdfs.server.protocol.RemoteEditLog

All Implemented Interfaces:
  `Comparable<RemoteEditLog>`

public class RemoteEditLog extends Object implements Comparable<RemoteEditLog>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Function<RemoteEditLog,Long>`
  `GET_START_TXID`
  Java `Function` which applies `getStartTxId()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoteEditLog()`
  `RemoteEditLog(long startTxId, long endTxId)`
  `RemoteEditLog(long startTxId, long endTxId, boolean inProgress)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(RemoteEditLog log)`
  `boolean`
  `equals(Object o)`
  `long`
  `getEndTxId()`
  `long`
  `getStartTxId()`
  `int`
  `hashCode()`
  `boolean`
  `isInProgress()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### GET_START_TXID

    public static final Function<RemoteEditLog,Long> GET_START_TXID
    Java `Function` which applies `getStartTxId()`

- ## Constructor Details

  - ### RemoteEditLog

    public RemoteEditLog()

  - ### RemoteEditLog

    public RemoteEditLog(long startTxId, long endTxId)

  - ### RemoteEditLog

    public RemoteEditLog(long startTxId, long endTxId, boolean inProgress)

- ## Method Details

  - ### getStartTxId

    public long getStartTxId()

  - ### getEndTxId

    public long getEndTxId()

  - ### isInProgress

    public boolean isInProgress()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### compareTo

    public int compareTo(RemoteEditLog log)
    Specified by:
      `compareTo` in interface `Comparable<RemoteEditLog>`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`